#pragma once

#ifdef _WIN32_WCE
#error "CDHtmlDialog is not supported for Windows CE."
#endif 

// CRebootPromptDlg dialog

class CRebootPromptDlg : public CDHtmlDialog
{
    DECLARE_DYNCREATE(CRebootPromptDlg)

public:
    CRebootPromptDlg(CWnd* pParent = NULL);   // standard constructor
    virtual ~CRebootPromptDlg();
    // Overrides
    HRESULT OnButtonOK(IHTMLElement *pElement);
    HRESULT OnButtonCancel(IHTMLElement *pElement);

    // Dialog Data

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();
    HICON m_hIcon;

    DECLARE_MESSAGE_MAP()
    DECLARE_DHTML_EVENT_MAP()
public:
    CString m_sFileVersion;
    CString m_sRebootPurpose;
    CString m_sCopyRightDates;
    HRESULT DoAboutBox(IHTMLElement* pElement);
    afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
    CString m_sStatusStr;
    afx_msg HCURSOR OnQueryDragIcon();
    afx_msg void OnPaint();
    CString m_sRebootPromptHtml;
    afx_msg void OnDestroy();
};
